# Searches for check requests using predefined parameters Searches for check requests using predefined parameters Endpoint: POST /checkRequests/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `business_unit_id` (string) - `date` (string) - `ids` (array) IDs to search - `process_id` (string) - `status` (string) ## Response 200 fields (application/json): - `Items` (array) - `Items.business_unit_id` (string) - `Items.date` (string) - `Items.ids` (array) IDs to search - `Items.is_active` (string) - `Items.items` (array) - `Items.process_id` (string) - `Items.status` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields